<?php
session_start();
include "constantes.php";
//include "verifica.php";

//$parametro = $_REQUEST['parametro'];

?>
<?php //Ejemplo aprenderaprogramar.com
//$texto = file_get_contents("http://127.0.0.1/comercial2multiempresa_credito/aplantilla.php");
//$texto = file_get_contents("http://127.0.0.1/comercial2multiempresa_credito/ventas_formato.php?id=".$parametro);

$xfecha_inicio = $_REQUEST['xfecha_inicio'];
$xfecha_fin=$_REQUEST['xfecha_fin'];
$xpagodocumento_criterio=$_REQUEST['xpagodocumento_criterio'];
$xemp_criterio = $_REQUEST['xemp_criterio'];
$xactivar_fech = $_REQUEST['xactivar_fech'];
$xactivar_doc = $_REQUEST['xactivar_doc'];
$xactivar_emp = $_REQUEST['xactivar_emp'];

$texto = file_get_contents(RUTA."compras_formato.php?xfecha_inicio=".$xfecha_inicio."&xfecha_fin=".$xfecha_fin."&xpagodocumento_criterio=".$xpagodocumento_criterio."&xemp_criterio=".$xemp_criterio."&xactivar_fech=".$xactivar_fech."&xactivar_doc=".$xactivar_doc."&xactivar_emp=".$xactivar_emp);

//$texto = file_get_contents("http://127.0.0.1/comercial2multiempresa_credito/ventas_formato.php?xfecha_inicio=2017-06-03&xfecha_fin=2017-06-05&xpagodocumento_criterio=&xemp_criterio=&xactivar_fech=0&xactivar_doc=0&xactivar_emp=0");


//echo $texto;
$html = $texto;
//$html = mb_convert_encoding($html, 'UTF-8', 'UTF-8'); 
$html = utf8_encode($html);

//echo $html;

//$mpdf->WriteHTML(utf8_encode($html)); 

include("mpdf/mpdf.php");

$mpdf=new mPDF('c','A4','','',32,25,27,25,16,13); 

$mpdf->SetDisplayMode('fullpage');

$mpdf->list_indent_first_level = 0;	// 1 or 0 - whether to indent the first level of a list

// LOAD a stylesheet
//$stylesheet = file_get_contents('mpdfstyletables.css');
$stylesheet = file_get_contents('assets/css/pdf_formatos_ventas.css');
$mpdf->WriteHTML($stylesheet,1);	// The parameter 1 tells that this is css/style only and no body/html/text

$mpdf->WriteHTML($html,2);

$mpdf->Output('mpdf.pdf','I');
exit;

?>